Bug 1574112 - octave-4.4.1 is available
Summary: octave-4.4.1 is available
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: octave
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Orion Poplawski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: FutureFeature, Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-02 17:47 UTC by Upstream Release Monitoring
Modified: 2018-12-29 01:55 UTC (History)
8 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-12-27 02:00:58 UTC


Attachments (Terms of Use)

Description Upstream Release Monitoring 2018-05-02 17:47:01 UTC
Latest upstream release: 4.4.0
Current version/release in rawhide: 4.2.2-1.fc29
URL: http://www.gnu.org/software/octave/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/2528/

Comment 1 Upstream Release Monitoring 2018-08-12 00:28:40 UTC
Latest upstream release: 4.4.1
Current version/release in rawhide: 4.2.2-6.fc29.1
URL: http://www.gnu.org/software/octave/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/2528/

Comment 2 José Matos 2018-08-29 10:01:45 UTC
Is there any time frame to get octave 4.4 in Fedora. It would be nice to get it for Fedora 29 but the time is pressing since beta is approaching.

That would require to first build octave and then to rebuild all the octave-* subpackages.

Eventually that also implies to update some subpackages to be compatible with 4.4 since some functions have migrated from the packages to core.

I am quite busy until September 14th but I would like to help with the effort.

Comment 3 Orion Poplawski 2018-08-29 14:02:22 UTC
I'm afraid I have no time.  All help appreciated.

Comment 4 José Matos 2018-08-29 15:04:56 UTC
(In reply to Orion Poplawski from comment #3)
> I'm afraid I have no time.  All help appreciated.

Do you have any special advice for this?

I am not searching any magic bullet (although I would not mind it :-) ) but your experience is quite valuable. :-)

Comment 5 Orion Poplawski 2018-08-29 15:06:44 UTC
Just that I would suggest doing rebuilds in a copr first - there are a lot of deps and it would be good not to break rawhide for a long time.

Comment 6 Fedora Update System 2018-11-19 05:11:07 UTC
octave-4.4-20181118231341.6c81f848 has been submitted as an update to Fedora 29 Modular. https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2018-7e2bd96ad6

Comment 7 Fedora Update System 2018-11-19 05:11:14 UTC
octave-4.4-20181118231341.9c690d0e has been submitted as an update to Fedora 28 Modular. https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2018-0d4c434763

Comment 8 Fedora Update System 2018-11-19 21:11:32 UTC
octave-4.4-20181118231341.6c81f848 has been pushed to the Fedora 29 Modular testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2018-7e2bd96ad6

Comment 9 Fedora Update System 2018-11-19 21:52:44 UTC
octave-4.4-20181118231341.9c690d0e has been pushed to the Fedora 28 Modular testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2018-0d4c434763

Comment 10 Fedora Update System 2018-12-17 01:29:29 UTC
octave-4.4-20181215220609.9c690d0e has been pushed to the Fedora 28 Modular testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2018-101f3a73d5

Comment 11 Fedora Update System 2018-12-17 02:21:14 UTC
octave-4.4-20181215220609.6c81f848 has been pushed to the Fedora 29 Modular testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2018-4184b3e695

Comment 12 Fedora Update System 2018-12-27 02:00:58 UTC
octave-4.4-20181215220609.6c81f848 has been pushed to the Fedora 29 Modular stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2018-12-29 01:55:26 UTC
octave-4.4-20181215220609.9c690d0e has been pushed to the Fedora 28 Modular stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.